# State Sync

{% code title="Start Bitsong Node" fullWidth="true" %}

```
sudo systemctl stop bitsongd
```

{% endcode %}

{% code title="Reset Bitsong Node" fullWidth="true" %}

```
bitsongd tendermint unsafe-reset-all
```

{% endcode %}

{% code title="Get Addrbook" fullWidth="true" %}

```
wget https://snapshot.safeblock.space/bitsong/addrbook.json -P $HOME/.bitsongd/config
```

{% endcode %}

{% code title="Import Snapshot" fullWidth="true" %}

```
SNAP_RPC="https://rpc.bitsong.safeblock.space:443"

LATEST_HEIGHT=$(curl -s $SNAP_RPC/block | jq -r .result.block.header.height); \
BLOCK_HEIGHT=$((LATEST_HEIGHT - 1000)); \
TRUST_HASH=$(curl -s "$SNAP_RPC/block?height=$BLOCK_HEIGHT" | jq -r .result.block_id.hash)

echo $LATEST_HEIGHT $BLOCK_HEIGHT $TRUST_HASH

sed -i.bak -E "s|^(enable[[:space:]]+=[[:space:]]+).*$|\1true| ; \
s|^(rpc_servers[[:space:]]+=[[:space:]]+).*$|\1\"$SNAP_RPC,$SNAP_RPC\"| ; \
s|^(trust_height[[:space:]]+=[[:space:]]+).*$|\1$BLOCK_HEIGHT| ; \
s|^(trust_hash[[:space:]]+=[[:space:]]+).*$|\1\"$TRUST_HASH\"| ; \
s|^(seeds[[:space:]]+=[[:space:]]+).*$|\1\"\"|" $HOME/.bitsongd/config/config.toml
```

{% endcode %}

{% code title="Start Bitsong Node" fullWidth="true" %}

```
sudo systemctl start bitsongd && sudo journalctl -fu bitsongd -o cat
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.safeblock.space/mainnet-networks/bitsong/guides/state-sync.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
